# TODO:
# glcdproclib/glcdprocdriver.h
# widgets.h, usblcd.h and usblcd_util.h from the usblcd package
# ftdi library in version 0.7
%define _legacy_common_support 1
Name:		lcdproc
Version:	0.5.7
Release:	%mkrel 18
Summary: 	Displays real-time system information on a 20x4 backlit LCD
License:	GPLv2+
URL:    	http://lcdproc.omnipotent.net/
Group:     	Monitoring
Source0:    	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	LCDd.init
Patch0: 	slow-down-imonlcd-0038.patch
Patch1:		lcdproc-0.5.6-fix-undeclared-header.patch
Patch2:		lcdproc-0.5.6-link-order.patch
Patch3:		lcdproc-0.5.6-use-new-ftdi.patch
Requires(pre):	rpm-helper
Requires(preun): rpm-helper
BuildRequires:	docbook-utils-pdf
BuildRequires:  doxygen
BuildRequires:  g15-devel
BuildRequires:  g15daemon_client-devel
BuildRequires:  g15render-devel
BuildRequires:  graphviz
BuildRequires:  pkgconfig(liblircclient0)
BuildRequires:	pkgconfig(ncurses)
%ifarch %{ix86} x86_64
BuildRequires:  svgalib-devel
%endif
BuildRequires:  tetex-latex
BuildRequires:	pkgconfig(libusb)
BuildRequires:  xosd-devel
BuildRequires:  irman-devel
BuildRequires:  libftdi-devel
BuildRequires:  pkgconfig(libpng)

%description
LCDproc is a client/server suite including drivers for all
kinds of nifty LCD displays. The server supports several
serial devices: Matrix Orbital, Crystal Fontz, Bayrad, LB216,
LCDM001 (kernelconcepts.de), Wirz-SLI and PIC-an-LCD; and some
devices connected to the LPT port: HD44780, STV5730, T6963,
SED1520 and SED1330. Various clients are available that display
things like CPU load, system load, memory usage, uptime, and a lot more.
See also http://lcdproc.omnipotent.net/.

%prep
%setup -q
%{__perl} -pi -e 's:../../../libirman-0.4.1b/irman.h:%{_includedir}/irman.h:g' server/drivers/irmanin.c
%autopatch -p1

%build
autoreconf -vfi
export CFLAGS="$RPM_OPT_FLAGS --std=gnu89 -fPIC"
%configure --disable-dependency-tracking \
                 --enable-libusb \
                 --enable-drivers=all \
                 --enable-seamless-hbars \
                 --enable-testmenus \
                 --enable-permissive-menu-goto \
                 --enable-lcdproc-menus \
                 --enable-stat-nfs \
                 --enable-stat-smbfs \
                 --enable-doxygen \
                 --enable-dot \
                 --enable-html-dox \
                 --enable-latex-dox
%make_build
%make_build dox

%install
%make_install

# init
install -d 		$RPM_BUILD_ROOT%{_initrddir}
install %{SOURCE1}	$RPM_BUILD_ROOT%{_initrddir}/LCDd

# Move examples in %_bindir like previous release
install -d              $RPM_BUILD_ROOT%{_bindir}
install clients/examples/*.pl $RPM_BUILD_ROOT%{_bindir}

# conf files
install -d		$RPM_BUILD_ROOT%{_sysconfdir}/lcdproc
install LCDd.conf 	$RPM_BUILD_ROOT%{_sysconfdir}/lcdproc/LCDd.conf
# fix path to drivers
perl -pi -e 's|DriverPath=.*/|DriverPath=%{_libdir}/lcdproc/|' $RPM_BUILD_ROOT%{_sysconfdir}/lcdproc/LCDd.conf
# remove unwanted conf file (not used in initscript)
rm -vf $RPM_BUILD_ROOT%{_sysconfdir}/LCDd.conf
touch scripts/lcdproc.conf  	$RPM_BUILD_ROOT%{_sysconfdir}/lcdproc/lcdproc.conf
echo "-s localhost -p 13666 C M X U P S" > \
			$RPM_BUILD_ROOT%{_sysconfdir}/lcdproc/lcdproc.conf

# doc files
cd docs/lcdproc-user
mkdir html txt pdf
#docbook2html -c %{_sysconfdir}/sgml/catalog -o html lcdproc-user.docbook
#docbook2pdf -c %{_sysconfdir}/sgml/catalog -o pdf lcdproc-user.docbook

%post
%_post_service LCDd

%preun
%_preun_service LCDd


%files
%defattr(0644,root,root,0755)
%doc README* INSTALL COPYING TODO ChangeLog
#%doc docs/lcdproc-user/html docs/lcdproc-user/pdf/*.pdf
#%doc docs/html/* docs/latex/
%defattr(-,root,root,0755)
%{_bindir}/*
%attr(0755,root,root) %{_initrddir}/LCDd
%{_libdir}/%{name}
%{_mandir}/man*/*
%{_sbindir}/*
%dir %{_sysconfdir}/lcdproc
%config(noreplace) %{_sysconfdir}/lcdproc/*
%config(noreplace) %{_sysconfdir}/lcdexec.conf
%config(noreplace) %{_sysconfdir}/lcdproc.conf
%config(noreplace) %{_sysconfdir}/lcdvc.conf


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.5.7-18.mga10
+ Revision: 2217824
- Mageia 10 Mass Rebuild

* Mon Feb 13 2023 ghibo <ghibo> 0.5.7-17.mga9
+ Revision: 1941134
- Rebuild against fresh svgalib
- Rebuild for aging.
- use %%make_build and %%make_install.
+ papoteur <papoteur>
- Mass Rebuild for dependencies
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Aug 21 2020 joequant <joequant> 0.5.7-13.mga8
+ Revision: 1617389
- fix deps

* Thu Feb 13 2020 umeabot <umeabot> 0.5.7-12.mga8
+ Revision: 1513862
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.5.7-11.mga7
+ Revision: 1298722
- Mageia 7 Mass Rebuild

* Wed Jul 06 2016 pterjan <pterjan> 0.5.7-10.mga6
+ Revision: 1039182
- Only BuildRequire svgalib on architectures where it exists
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Nov 12 2015 tv <tv> 0.5.7-8.mga6
+ Revision: 902919
- use -fPIC
- use --std=gnu89

* Wed Oct 15 2014 umeabot <umeabot> 0.5.7-6.mga5
+ Revision: 748203
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 wally <wally> 0.5.7-4.mga5
+ Revision: 669394
- add patch to build with new ftdi
- use %%configure2_5x and rediff link order patch to fix linking with our %%ldflags

* Sat Aug 30 2014 alien <alien> 0.5.7-3.mga5
+ Revision: 669369
- re-add libftdi because it got fixed

* Sat Aug 30 2014 alien <alien> 0.5.7-2.mga5
+ Revision: 669365
- rebuild witout libftdi because of issues

* Sat Aug 23 2014 alien <alien> 0.5.7-1.mga5
+ Revision: 666793
- Update to version 0.5.7

* Sat Jul 05 2014 pterjan <pterjan> 0.5.6-10.mga5
+ Revision: 643691
- Replace libusb*-devel BuildRequires by better ones

* Sat Oct 19 2013 umeabot <umeabot> 0.5.6-9.mga4
+ Revision: 526157
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 0.5.6-8.mga4
+ Revision: 436001
- rebuild for new libpng

* Fri Feb 08 2013 fwang <fwang> 0.5.6-7.mga3
+ Revision: 395574
- fix link order

* Thu Jan 24 2013 alien <alien> 0.5.6-6.mga3
+ Revision: 391755
+ rebuild (emptylog)

* Sun Jan 20 2013 alien <alien> 0.5.6-5.mga3
+ Revision: 390237
- add libpng build require

* Sun Jan 20 2013 alien <alien> 0.5.6-4.mga3
+ Revision: 390233
- add libftdi based drivers

* Sun Jan 20 2013 alien <alien> 0.5.6-3.mga3
+ Revision: 390196
- Fix irman build

* Sat Jan 12 2013 umeabot <umeabot> 0.5.6-2.mga3
+ Revision: 356696
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 alien <alien> 0.5.6-1.mga3
+ Revision: 343178
- Update to new version

* Mon Jan 07 2013 alien <alien> 0.5.3-4.mga3
+ Revision: 341392
- fix driver path for x86_64

* Sun Apr 29 2012 colin <colin> 0.5.3-3.mga2
+ Revision: 234261
- Add LSB headers to initscripts (mga#5262)

* Sun May 15 2011 pterjan <pterjan> 0.5.3-2.mga1
+ Revision: 99019
- Rebuild for fixed find-requires

* Wed Apr 20 2011 alien <alien> 0.5.3-1.mga1
+ Revision: 88882
- Remove BuildRoot
- imported package lcdproc


* Sun Jan 02 2011 Maarten Vanraes <alien@mandriva.org> 0.5.3-1mdv2011.0
+ Revision: 627542
- update to newer 0.5.3
- patch imonlcd to slow down commands for device 0038

* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.2-6mdv2011.0
+ Revision: 612709
- the mass rebuild of 2010.1 packages

* Mon Jan 25 2010 Antoine Ginies <aginies@mandriva.com> 0.5.2-5mdv2010.1
+ Revision: 496288
- use %%makeinstall macro
- fix path to drivers
- create missing %%_bindir
- fix BUILD process
- fix DriverPath in LCDd.conf file
- remove un-used configration file (we use the one in /etc/lcdproc)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

* Fri Feb 08 2008 David Walluck <walluck@mandriva.org> 0.5.2-1mdv2008.1
+ Revision: 163964
- 0.5.2
- enable as many drivers/features as possible

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.5.0-1mdv2008.1
+ Revision: 136535
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot


* Mon Aug 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/14/06 14:30:16 (56023)
- 0.5.0
- fix prereq

* Mon Aug 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/14/06 14:04:29 (56013)
Import lcdproc

* Mon Dec 15 2003 Arnaud de Lorbeau <devel@mandriva.com> 0.4.5-1mdk
- v0.4.5

* Fri Nov 21 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.4.3-3mdk
- Rebuild

